
QGIS Application - Bug report #14264

Graduated symbol generator not recognizing real numbers properly

2016-02-09 08:39 PM - Nate Wessel

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22260

Description

When using the style dialogue to generate a graduated color ramp, there is a failure to properly recognize real numbers. A color ramp will

be generated, but it usually fails to see any negative values. If I wrap the variable in a toreal() function, all works as expected. The dataset

I'm having problems with is stored in PostGIS and the column is definitely real. I've seen this happen on a number of different datasets. 

The dangerous bit is that the error is very quiet, as the color ramp is still generated, and most of the map still renders as normal.

Using ubuntu 14.04 and QGIS 2.8.1

(this is my first time reporting a bug. please be easy on my errors and omissions)

History

#1 - 2016-02-09 10:22 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you share a sql dump of your dataset? Even a partial extract which demonstrates the issue will be useful.

#2 - 2016-02-10 06:45 PM - Nate Wessel

- File out.sql.7z added

Sample data attached!

I double checked, and this does indeed still cause the same problem for me.

#3 - 2016-05-23 05:01 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Category set to Symbology

#4 - 2016-05-23 01:04 PM - Giovanni Manghi

- Priority changed from High to Normal

#5 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

no_toreal__.png 318 KB 2016-02-09 Nate Wessel

with_toreal__.png 341 KB 2016-02-09 Nate Wessel

out.sql.7z 2.84 MB 2016-02-10 Nate Wessel
